package com.caimei365.manager.entity.caimei;

import lombok.Data;
import lombok.Value;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/15
 */
@Data
public class CmBehaviorRecord {
    private Integer recordId;
    /**
     * 访问人IP地址
     */
    private String ip;
    /**
     * ip对应地区地址
     */
    private String region;
    /**
     * 访问来源
     */
    private String accessSource;
    /**
     * 访问客户端
     */
    private String accessClient;
    /**
     *  用户id、0为游客
     */
    private Integer userId;
    /**
     * 页面路径
     */
    private String pagePath;
    /**
     * 页面类型
     */
    private String pageType;
    /**
     * 页面标签
     */
    private String pageLabel;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品ID
     */
    private Integer productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 访问时间
     */
    private String accessTime;
    /**
     * 访问时长
     */
    private String accessDuration;
    /**
     * 访问日期
     */
    private String accessDate;
    private String consultName;
    private String consultMobile;
    /**
     * 最后访问时间
     */
    private String lastAccessTime;
    /**
     * 是否是roos页面行为 1：用户行为、2：roos行为统计
     */
    private String behaviorType;
    private Integer count;

    /**
     * 公司类型
     */
    private String companyType;
    /**
     * 公司名称
     */
    private String corporateName;
    /**
     *  联系人
     */
    private String contacts;
    /**
     * 手机号码
     */
    private String phoneNumber;

    private Integer number;
    /**
     * 访问页面总数
     */
    private Integer numbers;
    /**
     * 公司类型
     */
    private String userIdentity;

    /**
     * 机构ID
     */
    private Integer clubId;
    /**
     * 机构公司名称
     */
    private String name;
    /**
     * 机构简称
     */
    private String cSname;
    /**
     * 机构联系人
     */
    private String linkMan;
    /**
     * 联系手机
     */
    private String contractMobile;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 注册IP
     */
    private String registerIP;
    /**
     * 注册时间
     */
    private String registerTime;
    /**
     * 供应商公司名称
     */
    private String sname;
    /**
     * 供应商联系人
     */
    private String slinkMan;
    /**
     * 联系手机
     */
    private String scontractMobile;
    /**
     * 协销名称
     */
    private String spName;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 页面类型下拉
     */
    private String pageTypes;
    /**
     * 是否为今日数据 0今日数据 1往日数据
     */
    private Integer todayType;
    /**
     * 关联供应商
     */
    private String relevanceShop;
    /**
     * 标签
     */
    private String label;
    /**
     * 注册时间
     */
    private String addTime;
    /**
     * 页面查询条件
     */
    private List<String> labels;
}
